# Changelog 2026-07-01


## Changes

### Numeric Movie IDs

Cineamo API endpoints and widgets now expect numeric Movie `id`s (e.g. `699236`) when getting, filtering, creating and updating entities.

For backwards compatibility, the legacy alphanumeric `cineamoId`s (e.g. `967941m`) are still accepted, but they are now considered **deprecated**, and will be phased out, removing support by 2026-10-01 after a grace period of 3 months.

To update your consumers, refer to a Movie entity by its numeric `id` property (instead of its alphanumeric `cineamoId` property) and pass it through the new numeric parameters and properties listed below. When both the numeric and the legacy value are supplied, the numeric one takes precedence.


#### Reading a single Movie by id

GET endpoints accept both the numeric `id` and the legacy alphanumeric `cineamoId` as part of the URL. For example:

```diff
-/movies/967941m
+/movies/699236
```


#### Filter endpoints — new `movieId` query parameter

These GET endpoints now accept a numeric `movieId` query parameter, superseding the deprecated `cineamoMovieId` parameter. For example:

```diff
-/showings?cineamoMovieId=967941m
+/showings?movieId=699236
```

Affected endpoints:

- `GET /showings`
- `GET /movies`
- `GET /v2/movies`
- `GET /contents`
- `GET /movie-ratings`
- `GET /movie-copyrights`
- `GET /event-requests`
- `GET /user-movie-lists`
- `GET /user-movie-list-items`
- `GET /me/movie-lists`
- `GET /me/movie-ratings`
- `GET /users/{userId}/movie-ratings`
- `GET /cinemas/{cinemaId}/movies`
- `GET /cinemas/{cinemaId}/contents`
- `GET /cinemas/{cinemaId}/showings-future`
- `GET /analytics/event-requests-count`
- `GET /analytics/movie-ratings-average`

List responses on these endpoints now also include a numeric `movieId` field alongside the deprecated `cineamoMovieId`.


#### Create/update endpoints — new `movie` body property

These POST/PATCH endpoints now accept a numeric `movie` property in the request body, superseding the deprecated `cineamoMovieId` property. For example:

```diff
 {
-  "cineamoMovieId": "967941m"
+  "movie": 699236
 }
```

Affected endpoints:

- `POST /cinema-movie-recommendations`
- `PATCH /cinema-movie-recommendations/{cinemaMovieRecommendationId}`
- `POST /distributor-movie-lists/{distributorMovieListId}/distributor-movie-list-items`
- `PATCH /distributor-movie-lists/{distributorMovieListId}/distributor-movie-list-items/{distributorMovieListItemId}`
- `POST /movie-aliases`
- `PATCH /movie-aliases/{movieAliasId}`
- `POST /movie-copyrights`
- `PATCH /movie-copyrights/{movieCopyrightId}`
- `PATCH /movie-ratings/{movieRatingId}`
- `PATCH /me/movie-ratings/{cineamoMovieId}`
- `POST /user-movie-list-items`
- `PATCH /user-movie-list-items/{userMovieListItemId}`


#### Showtime Finder Widget

The `movie` parameter of the Showtime Finder Widget accepts both the numeric `id` and the legacy alphanumeric `cineamoId`.
